You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
lxqt-powermanagement-packaging/debian/changelog

297 lines
9.7 KiB

8 months ago
lxqt-powermanagement (1.3.0-0ubuntu1) mantic; urgency=medium
* New upstream release.
* Bump build dependencies.
* Remove redundant hardening rule.
* Bump Standards-Version to 4.6.2, no changes needed.
* I guess we don't require root to build, do we?
* Update copyright years.
8 months ago
-- Simon Quigley <tsimonq2@ubuntu.com> Fri, 11 Aug 2023 12:50:06 -0500
lxqt-powermanagement (1.2.0-0ubuntu1) lunar; urgency=medium
* New upstream release.
* Fix the watch file, for real this time.
* Bump build dependencies in debian/control.
* Bump Standards-version to 4.6.1, no changes needed.
* Lubuntuify the package slightly, to make debhelper happy.
* Add some missing brackets in the Lintian overrides.
-- Simon Quigley <tsimonq2@ubuntu.com> Fri, 18 Nov 2022 21:55:31 -0600
lxqt-powermanagement (1.1.0-0ubuntu1) kinetic; urgency=medium
* New upstream release.
* Bumped build dependencies.
* Drop old Breaks/Replaces since we're past the LTS. Update the
runtime dependencies too.
-- Simon Quigley <tsimonq2@ubuntu.com> Thu, 02 Jun 2022 12:43:41 -0500
lxqt-powermanagement (0.17.1-0ubuntu1) impish; urgency=medium
* New upstream release 0.17.1
* Update debian/control
- Bump Standards-Version to 4.5.1
- Use liblxqt0-dev 0.17.0
- Use libglobalkeys0-dev 0.17.0
- Use libglobalkeys-ui0-dev 0.17.0
- Extend lxqt-powermanagement-l10n package description
* Rename tag for lintian override
* Update debian/copyright
-- apt-ghetto <apt-ghetto@protonmail.com> Fri, 13 Aug 2021 15:31:53 +0200
lxqt-powermanagement (0.16.0-1ubuntu1) hirsute; urgency=medium
* New upstream version. Merge from debian unstable.
* Bump debhelper-compat requirement to 13.
* Update dependencies.
-- Raman Sarda <theloudspeaker@disroot.org> Mon, 22 Feb 2021 02:55:40 +0530
lxqt-powermanagement (0.16.0-1) unstable; urgency=medium
[ Alf Gaida ]
* Switched to gbp
* Bumped Standards-Version to 4.4.0, no changes needed
[ Andrew Lee (李健秋) ]
* New upstream release.
* debian/control: update build-deps.
-- Andrew Lee (李健秋) <ajqlee@debian.org> Wed, 06 Jan 2021 17:58:35 +0800
lxqt-powermanagement (0.15.0-0ubuntu1) groovy; urgency=medium
* New upstream release.
- Update upstream signing key.
- Update LXQt build dependencies.
* Bump Standards-version to 4.5.0, no changes needed.
-- Simon Quigley <tsimonq2@ubuntu.com> Thu, 04 Jun 2020 14:34:24 -0500
4 years ago
lxqt-powermanagement (0.14.1-1ubuntu2) focal; urgency=medium
* Updated rules to be consistent with debian unstable.
-- Raman Sarda <theloudspeaker@lubuntu.me> Sun, 16 Feb 2020 00:11:05 +0530
lxqt-powermanagement (0.14.1-1ubuntu1) focal; urgency=low
* Merge from Debian unstable. Remaining changes:
- Using debhelper-compat
- Keeping ubuntu-side tweaks of writing depends in one line.
- Updated build deps according to new minimum requirements.
- Added upstream metadata
-- Raman Sarda <theloudspeaker@lubuntu.me> Wed, 12 Feb 2020 11:13:49 +0530
lxqt-powermanagement (0.14.1-1) unstable; urgency=medium
* Cherry-picking new upstream version 0.14.1.
* Bumped minimum version liblxqt0-dev (>= 0.14.1~)
-- Alf Gaida <agaida@siduction.org> Tue, 26 Feb 2019 02:47:54 +0100
5 years ago
lxqt-powermanagement (0.14.1-0ubuntu1) disco; urgency=medium
* New upstream release.
* Run wrap-and-sort.
5 years ago
-- Simon Quigley <tsimonq2@ubuntu.com> Sat, 09 Mar 2019 13:15:31 -0600
lxqt-powermanagement (0.14.0-1) unstable; urgency=medium
* Cherry-picking new upstream version 0.14.0.
* Bumped Standards to 4.3.0, no changes needed
* Dropped d/compat, use debhelper-compat = 12, no changes needed
* Fixed years in d/copyright
* Bumped minimum version liblxqt0-dev (>= 0.14.0~)
* Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
* Added l10n-package, moved from lxqt-l10n
* Added d/upstream/metadata
-- Alf Gaida <agaida@siduction.org> Sun, 27 Jan 2019 18:03:45 +0100
5 years ago
lxqt-powermanagement (0.14.0-0ubuntu1) disco; urgency=medium
* New upstream release.
- Bump build dependencies.
* Bump Standards-version to 4.3.0, no changes needed.
* Bump debhelper compat to 12, no changes needed.
* Add a lxqt-powermanagement-l10n package.
5 years ago
-- Simon Quigley <tsimonq2@ubuntu.com> Sat, 26 Jan 2019 00:39:28 -0600
lxqt-powermanagement (0.13.0-1) unstable; urgency=medium
* Cherry-picking new upstream version 0.13.0.
* Bumped build dependency liblxqt0-dev to >= 0.13.0~
-- Alf Gaida <agaida@siduction.org> Thu, 24 May 2018 22:46:32 +0200
lxqt-powermanagement (0.13.0-0ubuntu1) cosmic; urgency=medium
* New upstream release.
* Update Vcs-* and Maintainer to Lubuntu values.
* Update build dependencies.
-- Simon Quigley <tsimonq2@ubuntu.com> Tue, 22 May 2018 23:47:42 -0500
lxqt-powermanagement (0.12.0-5) unstable; urgency=medium
* Bumped compat to 11
* Bumped debhelper to >= 11~
* Bumped Standards to 4.1.4, no changes needed
* Changed VCS fields for salsa
* Changed Homepage, Source and watch to lxqt
* Bumped years in copyright
* Removed trailing whitespaces in changelog
-- Alf Gaida <agaida@siduction.org> Sat, 28 Apr 2018 15:54:07 +0200
lxqt-powermanagement (0.12.0-4) unstable; urgency=medium
* Bumped Standards to 4.1.2, no changes needed
* Removed debian/gbp.conf
* Removed branch from VCS fields
-- Alf Gaida <agaida@siduction.org> Thu, 14 Dec 2017 22:01:39 +0100
lxqt-powermanagement (0.12.0-3) unstable; urgency=medium
* Transition to unstable
-- Alf Gaida <agaida@siduction.org> Tue, 05 Dec 2017 00:06:38 +0100
lxqt-powermanagement (0.12.0-2) experimental; urgency=medium
* Added missed breaks and replaces for lxqt-common << 0.12.0
(Closes: #879911) - Thanks Andreas Beckmann <anbe@debian.org>
-- Alf Gaida <agaida@siduction.org> Fri, 27 Oct 2017 22:10:31 +0200
lxqt-powermanagement (0.12.0-1) experimental; urgency=medium
* Cherry-picking upstream release 0.12.0.
* Switched to experimental
* Bumped liblxqt0-dev to >= 0.12.0
* Bumped Standards to 4.1.1 - no changes needed
-- Alf Gaida <agaida@siduction.org> Tue, 24 Oct 2017 19:14:29 +0200
lxqt-powermanagement (0.11.1-2) unstable; urgency=medium
* Bumped standards to 4.0.0 - no changes needed
* Depends on lxqt-policykit
* Make upower a dependency instead of recommend it
* Recommend lxqt-qtplugin and lxqt-session
(Closes: #866256)
-- Alf Gaida <agaida@siduction.org> Sun, 02 Jul 2017 02:19:42 +0200
lxqt-powermanagement (0.11.1-1) unstable; urgency=medium
* Cherry-picking upstream release 0.11.1.
* Removed some build dependencies:
-cmake
-libqt5xdg-dev
-libqt5xdgiconloader-dev
-pkg-config
-qttools5-dev
-qttools5-dev-tools
* Bumped build dependency liblxqt0-dev (>= 0.11.1)
* Bumped years in d/copyright
-- Alf Gaida <agaida@siduction.org> Mon, 02 Jan 2017 15:51:47 +0100
lxqt-powermanagement (0.11.0-2) unstable; urgency=medium
* Cherry-picking upstream release 0.11.0
* Synced debian foo with experimental
* Bumped compat to 10
* Removed --parallel from rules, standard in compat 10
* Bumped minimum version debhelper to />= 10)
* Bumped minimum version liblxqt0-dev (>= 0.11.0)
* Bumped minimum version libqt5xdg-dev (>= 2.0.0)
* Added build dependency libkf5idletime-dev
* Added build dependency libqt5svg5-dev
* Added Recommends lxqt-powermanagement-l10n
* Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
* Removed build dependency libx11-xcb-dev
* Removed build dependency libxcb-dpms0-dev
* Removed build dependency libxcb-screensaver0-dev
* Added translation control to rules
* Set CMAKE_BUILD_TYPE=RelWithDebInfo
* Exported LC_ALL=C.UTF-8, make builds reproducible
-- Alf Gaida <agaida@siduction.org> Tue, 18 Oct 2016 17:25:42 +0200
lxqt-powermanagement (0.10.0-4) unstable; urgency=medium
* Added Recommends: upower (Closes: #828697)
Thanks to Martin Küttler <martin.kuettler@os.inf.tu-dresden.de>
* Bump Standards to 3.9.8, no changes needed
* Bump years in copyright
* Changed VCS-fields to use https
* Fixed copyright Format field
* Add hardening=+all to debian/rules
-- Alf Gaida <agaida@siduction.org> Sat, 09 Jul 2016 11:05:07 +0200
lxqt-powermanagement (0.10.0-3) unstable; urgency=medium
* Remove dbg package in favor of dbgsym.
-- Alf Gaida <agaida@siduction.org> Sat, 26 Dec 2015 20:50:04 +0100
9 years ago
lxqt-powermanagement (0.10.0-2) unstable; urgency=medium
* Merge from experimental.
* New upstream release.
* Set minimum version for liblxqt and libqtxdg.
-- ChangZhuo Chen (陳昌倬) <czchen@debian.org> Thu, 19 Nov 2015 21:55:09 +0800
lxqt-powermanagement (0.9.0+20150807-2) unstable; urgency=medium
* Fixed czchen's email address
* Removed breaks/replaces
* Fixed control with cme fix
* Added linker flags -Wl,--as-needed
* Removed not needed minimum versions
* Cleaned up .gitignore
-- Alf Gaida <agaida@siduction.org> Thu, 12 Nov 2015 02:26:31 +0100
lxqt-powermanagement (0.9.0+20150807-1) unstable; urgency=medium
[ Alf Gaida ]
* initial debian files.
* Initial release. (Closes: #747611)
* rebuild only.
* Upstream version 0.8.0.
* Min liblxqt-qt5-0-dev version 0.8.0.
* Min Qt version 5.3.2.
* bump standards to 3.9.6.
* lintian overrides for missed manpages and invalid category.
* patched desktop file, OnlyShowIn=LXQt.
* new release 0.9.0 drop patches fix debian $foo add source/options.
* Some cleanup in debian $foo.
* some changes in debian $foo.
* drop transitional packages.
[ Andrew Lee (李健秋) ]
* Added myself as Uploader.
* Sorting build-depends.
* Removing whitespaces at EOL and EOF.
* Added fullstop in descriptions.
* Use lower-case for description.
* Use correct license LGPL2.1+ in copyright file.
* Warpped lines.
* Merging upstream version 0.9.0+20150807.
-- Andrew Lee (李健秋) <ajqlee@debian.org> Sun, 16 Aug 2015 19:19:12 +0800